void clearMrt_vp( float4 position : POSITION,
		  out float4 oPosition : POSITION )
{
	oPosition = position;
	oPosition.z = 1.f;
}

void clearMrt_fp( //out float4 depth : COLOR0,
		  //out float4 normals : COLOR1,
		  //out float4 diffuse : COLOR2,
		  //out float4 specular : COLOR3 )
		  out float4 depthAndNormal : COLOR0,
		  out float4 diffuse : COLOR1,
		  out float4 specular : COLOR2 )
{
	//depth = float4( 1.f, 1.f, 1.f, 1.f );
	//normals = float4( 0.f, 0.f, 1.f, 0.f );
	depthAndNormal = float4( 1.f, 1.f, 0.f, 0.f );
	diffuse = float4( 0.f, 0.f, 0.f, 0.f );
	specular = float4( 0.f, 0.f, 0.f, 0.f );
}